| The Red Project

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Classes | Functions | Variables
template_processor.php File Reference

## Classes
class | Template

## Functions
| template_escape ($s)
| template_unescape ($s)

## Variables
const | KEY_NOT_EXISTS '^R_key_not_Exists^'
| $t = new Template

## Function Documentation

template_escape | ( |  | $s | ) |

Referenced by Template\_get_var(), fbrowser_content(), and photos_content().

template_unescape | ( |  | $s | ) |

Referenced by replace_macros().

## Variable Documentation

$t = new Template

Referenced by admin_content(), admin_page_logs(), admin_page_plugins(), admin_page_site(), admin_page_summary(), admin_page_themes(), admin_page_users(), atom_entry(), common_content(), common_friends_visitor_widget(), connections_content(), current_theme(), current_theme_url(), decode_tags(), directory_content(), expand_acl(), fetch_post_tags(), get_terms_oftype(), ids_to_querystr(), item_store(), item_store_update(), like_content(), navbar_complete(), onepoll_run(), ping_init(), poller_run(), preg_heart(), prepare_body(), profile_activity(), redbasic_form(), replace_macros(), Photo\supportedTypes(), t(), termtype(), tt(), and upgrade_link().

const KEY_NOT_EXISTS '^R_key_not_Exists^'

Referenced by Template\_get_var(), and Template\var_replace().